%define piname	watchdog_pi

Name:		opencpn-watchdog-plugin
Summary:	Plugin for OpenCpn implementing alarms 
Version:	1.9.050
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# Bugtracker: http://willkamp.com/opencpn/flyspray/
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin implements various configurable alarms alerting the user about
the changing conditions round the boat.
Also implements an improved anchor alarm.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Mon Aug 01 2016 barjac <barjac> 1.9.050-1.mga6
+ Revision: 1044183
- new version 1.9.050

* Thu Jun 02 2016 daviddavid <daviddavid> 1.9.045-2.mga6
+ Revision: 1019838
- rebuild for wxgtk3.0 built with GTK2

* Sun May 22 2016 barjac <barjac> 1.9.045-1.mga6
+ Revision: 1017478
- new version 1.9.045

* Tue Apr 19 2016 barjac <barjac> 1.9.043-1.mga6
+ Revision: 1003648
- new version 1.9.043

* Mon Feb 29 2016 barjac <barjac> 1.9.042-1.mga6
+ Revision: 980801
- new version 1.9.042

* Mon Feb 22 2016 barjac <barjac> 1.9.033-1.mga6
+ Revision: 975941
- new version 1.9.030

* Tue Feb 16 2016 barjac <barjac> 1.9.030-2.mga6
+ Revision: 962351
- changed buildrequire wxgtku3.0

* Tue Feb 02 2016 barjac <barjac> 1.9.030-1.mga6
+ Revision: 932852
- new version 1.9.030

* Tue Jan 26 2016 barjac <barjac> 1.9.028-1.mga6
+ Revision: 927706
- new version 1.9.028

* Sat Jan 16 2016 barjac <barjac> 1.9.021-1.mga6
+ Revision: 924657
- new bugfix version 1.9.021

* Thu Jan 14 2016 barjac <barjac> 1.9.019-1.mga6
+ Revision: 922919
- new version 1.9.019

* Tue Dec 08 2015 barjac <barjac> 1.9.004-1.mga6
+ Revision: 908791
- new package opencpn-watchdog-plugin

